SET client_encoding = 'utf-8';
SET standard_conforming_strings = OFF;
DROP TABLE IF EXISTS "non_communication" CASCADE;
BEGIN;
CREATE TABLE "non_communication"();
SELECT AddGeometryColumn('non_communication','geometrie',4471,'POINT',2);
CREATE INDEX "non_communication_geometrie_geom_idx" ON "non_communication" USING GIST ("geometrie");
ALTER TABLE "non_communication" ADD COLUMN "cleabs" VARCHAR(24);
ALTER TABLE "non_communication" ADD CONSTRAINT "non_communication_cleabs_pkey" PRIMARY KEY ("cleabs");
ALTER TABLE "non_communication" ADD COLUMN "date_creation" timestamp with time zone;
ALTER TABLE "non_communication" ADD COLUMN "date_modification" timestamp with time zone;
ALTER TABLE "non_communication" ADD COLUMN "date_d_apparition" date;
ALTER TABLE "non_communication" ADD COLUMN "date_de_confirmation" date;
ALTER TABLE "non_communication" ADD COLUMN "lien_vers_troncon_entree" VARCHAR(24);
ALTER TABLE "non_communication" ADD COLUMN "liens_vers_troncon_sortie" VARCHAR;
COMMIT;
SET standard_conforming_strings = OFF;
BEGIN;
COPY "non_communication" ("geometrie", "cleabs", "date_creation", "date_modification", "date_d_apparition", "date_de_confirmation", "lien_vers_troncon_entree", "liens_vers_troncon_sortie") FROM STDIN;
01010000207711000033333333B01C2041CDCCCCDCD8606041	NON_COMM0000002333892504	2023/07/17 15:32:52.130	\N	\N	\N	TRONROUT0000001600039264	TRONROUT0000001600039260
\.
END;
COMMIT;
